<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/activity_background"
    tools:context="com.twilio.chat.witty.activities.ChannelActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/_45sdp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="@dimen/_5sdp">

            <androidx.cardview.widget.CardView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/_10sdp"
                app:cardCornerRadius="@dimen/_8sdp"
                app:cardElevation="5dp">

                <ImageButton
                    android:id="@+id/backBtn"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/secondary_button"
                    android:padding="@dimen/_5sdp"
                    android:src="@drawable/ic_chevron_left" />

            </androidx.cardview.widget.CardView>


            <TextView
                android:id="@+id/activityTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:fontFamily="@font/inter"
                android:gravity="center_horizontal"
                android:text="New Group"
                android:textColor="@color/textColor"
                android:textSize="20sp"
                android:textStyle="bold" />

            <androidx.cardview.widget.CardView
                android:id="@+id/createGroupBtnBG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/_10sdp"
                app:cardCornerRadius="@dimen/_8sdp"
                app:cardElevation="5dp">

                <ImageButton
                    android:id="@+id/createGroupBtn"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/secondary_button"
                    android:padding="@dimen/_5sdp"
                    android:src="@drawable/ic_users" />

            </androidx.cardview.widget.CardView>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/_40sdp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:focusable="true"

            android:focusableInTouchMode="true"
            android:padding="@dimen/_5sdp">

            <EditText
                android:id="@+id/newMessageSearch"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/_10sdp"
                android:layout_marginEnd="@dimen/_10sdp"
                android:background="@drawable/input_background"
                android:ems="10"
                android:fontFamily="@font/inter"
                android:hint="Search"
                android:inputType="textPersonName"
                android:paddingHorizontal="10dp"
                android:paddingVertical="0dp"
                android:textColor="@color/textColor" />


        </LinearLayout>

        <LinearLayout
            android:id="@+id/added_to_group_list_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/_40sdp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:padding="@dimen/_5sdp">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/added_to_group_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />




        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/new_group_contacts_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/activity_background" />
    </LinearLayout>

</RelativeLayout>
